# Contact Filter

URL: https://www.inclamo.com/docs/api/application/contacts/contactFilter

> Filter contacts with custom filter options and pagination

## POST /api/v1/accounts/{account_id}/contacts/filter

Contact Filter

Filter contacts with custom filter options and pagination

Base URL: https://helpdesk.inclamo.com

### Parameters

- `account_id` (path, required, integer): The numeric ID of the account
- `page` (query, number)

### Request body

`application/json` (required)

```json

{
  "type": "object",
  "properties": {
    "payload": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "attribute_key": {
            "type": "string",
            "description": "filter attribute name"
          },
          "filter_operator": {
            "type": "string",
            "description": "filter operator name",
            "enum": [
              "equal_to",
              "not_equal_to",
              "contains",
              "does_not_contain"
            ]
          },
          "values": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "array of the attribute values to filter"
          },
          "timezone": {
            "type": "string",
            "description": "IANA timezone for created_at and last_activity_at date comparisons, including days_before. Omit to retain UTC behavior. Date-only custom attributes are not converted.",
            "example": "America/Sao_Paulo"
          },
          "query_operator": {
            "type": "string",
            "description": "query operator name",
            "enum": [
              "AND",
              "OR"
            ]
          }
        }
      },
      "example": [
        {
          "attribute_key": "name",
          "filter_operator": "equal_to",
          "values": [
            "en"
          ],
          "query_operator": "AND"
        },
        {
          "attribute_key": "country_code",
          "filter_operator": "equal_to",
          "values": [
            "us"
          ],
          "query_operator": null
        }
      ]
    }
  }
}

```

### Responses

- 200: Success
- 400: Bad Request Error

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
